Summary: manipulate EPROM load files
Name: srecord
Version: 1.8
Release: 1
Group: Development/Tools
Copyright: GPL
URL: http://www.canb.auug.org.au/~millerp/srecord/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: http://www.canb.auug.org.au/~millerp/srecord/srecord-%{version}.tar.gz
Source1: http://www.canb.auug.org.au/~millerp/srecord/srecord-%{version}.pdf
BuildRoot: /var/tmp/%{name}-root

%description
The SRecord package is a collection of powerful tools for manipulating
EPROM load files.

* The SRecord package understands a number of file formats: Motorola
  S-Record, Intel, Tektronix, Binary.  These file formats may be read
  and written.  Also C array definitions, for output only.

* The SRecord package has a number of tools: srec_cat for copying and
  and converting files, srec_cmp for comparing files and srec_info for
  printing summaries.

* The SRecord package has a number for filters: checksum to add checksums
  to the data, crop to keep address ranges, exclude to remove address
  ranges, fill to plug holes in the data, length to insert the data
  length, maximum to insert the data address maximum, minimum to insert
  the data address minimum, offset to adjust addresses, and split for
  wide data buses and memory striping.

More than one filter may be applied to each input file.  Different filters
may be applied to each input file.  All filters may be applied to all
file formats.


%prep
%setup -q
install -m644 -p %{SOURCE1} .


%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make MAKE="make -j2"
make sure


%install
rm -rf $RPM_BUILD_ROOT
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install


%files
%defattr(-,root,root)
%doc BUILDING LICENSE MANIFEST README srecord-*.pdf
/usr/bin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

